
do

	portal = {
		x = 1000,
		scissorX = 9999,
	}


	function portal.load() 
		portal.image = love.graphics.newImage("media/portal.png")
	end

	function portal.set(x)
		portal.x = x
	end

	function portal.draw(onlyRightHalf, angleFactor, alpha)
		angleFactor = angleFactor or 1.0
		love.graphics.push()
			love.graphics.setColor(255,255,255,255*alpha)
			love.graphics.translate(portal.x, 0)
			love.graphics.scale(0.2, 1.0)
			if onlyRightHalf then
				-- only draw right half (front basically)
				local sx = portal.x - camera.x - 60
				love.graphics.setScissor(sx, 0, 5000, 5000)
				--if alpha >= 1.0 then
				--	love.graphics.setColor(0,0,0,255)
				--	love.graphics.rectangle("fill", -200,-3000,10000,6000)
				--end
				portal.scissorX = sx
				love.graphics.setColor(255,255,255,255*alpha)
				love.graphics.draw(portal.image, -200, 0, gameState.time*0.4*angleFactor, 1, 1, 512, 512)
				love.graphics.setScissor()
			else
				-- simply draw
				love.graphics.draw(portal.image, -200, 0, gameState.time*0.4*angleFactor, 1, 1, 512, 512)
			end
		love.graphics.pop()
	end




end