
do

	levelBuilder = {}


	function levelBuilder.build(level)
		if level == 1 then
			levelBuilder.buildLevel1()
		elseif level == 2 then
			levelBuilder.buildLevel2()
		elseif level == 3 then
			levelBuilder.buildLevel3()
		end
	end



	function levelBuilder.buildLevel1()
		-- Short
		portal.set(5000)
		-- 3 Asteroids
		asteroid.createRandom()
		asteroid.createRandom()
		asteroid.createRandom()
		asteroid.createRandom()
	end

	function levelBuilder.buildLevel2()
		-- Medium Length
		portal.set(12000)
		-- 2 Asteroids
		asteroid.createRandom()
		-- Pickups
		for i = 0,5 do
			pickups.createRandom(2000 + 1600*i + rnd(-700,700))
		end
		-- Enemies
			-- Row           tp count   x     y  xoff yoff tdif  moves {tp, speedx, speedy, timefactor}
			enemy.createGroup(1,  5,  2000, -200,  0,  0, 4.5, {{"straight", 20, nil, 1}})
			enemy.createGroup(1,  5,  3000,  200,  0, 20, 4.5, {{"straight", 20, nil, 1},{"wave", 50, nil, 0.5}})
			enemy.createGroup(1,  6,  4500,    0,  0,  0, 1.5, {{"straight", 30, nil, 1},{"wave", 100, nil, 1.2}})
			enemy.createGroup(1, 18,  6000,  100,  0,-10, 2.5, {{"straight", 30, nil, 1},{"wavex", 20, nil, 0.6},{"wave", 50, nil, 0.9}})
			enemy.createGroup(1,  5,  7500, -200,  0,  0, 1.0, {{"circle", 120, nil, 1.6}})
			enemy.createGroup(1,  5,  7500,  200,  0,  0, 1.0, {{"straight", 30, nil, 1},{"circle", 80, nil, 1.6},{"wavex", 80, 0, 1.8}})
			enemy.createGroup(1, 12,  9000,    0,  0, 50, 2.0, {{"straight", 30, nil, 1}})
			enemy.createGroup(2, 10, 10800,    0,  0, 70, 0.0, {})
	end

	function levelBuilder.buildLevel3()
		-- Short
		portal.set(11000)
		-- 3 Asteroids
		asteroid.createRandom()
		asteroid.createRandom()
		-- Pickups
		for x = 2000, portal.x-600, 2500 do
			pickups.createRandom(x)
		end
		-- Enemies           tp count  x     y  xoff yoff  tdif  moves {tp, speedx, speedy, timefactor}
			enemy.createGroup(1, 16, 2000,   0,  100,  0,   1.0, {{"hardwave", 280, nil, 0.8}})
			enemy.createGroup(2,  8, 4000,   0,  100, 80,   2.0, {{"wave", 100, nil, 1}})
			enemy.createGroup(2, 10, 6000,  50,    0,  0,   0.4, {{"wave", 150, nil, 1.5},{"wavex", 150, nil, 2.25}})
			enemy.createGroup(2,  4, 8000,-150,   50, 75,   0.2, {{"accelerate", 30, nil, 1.0}})
			enemy.createGroup(2,  4, 8000, 150,   50,-75,   0.2, {{"accelerate", 30, nil, 1.0}})
			enemy.createGroup(2,  8, 9200,   0,    0,  0,   4.5, {{"hardwave", 200, nil, 1.5}, {"hardwavex", 200, nil, 1.5}})
	end

end