

do

	sequences = {
		time = 0,
		list = {},
		current = 0,
		progress = 0, --which command of the current list is being executed
		chars = {
			{name = "Shorty", x = 0, y = 0, headingRight = true, color = {255,245,120}}, -- Shorty
			{name = "Dick",   x = 0, y = 0, headingRight = false, color = {80,230,245}}, -- Dick
		},
		cmdTp = "",
		cmdStart = 0,
		cmdEnd = 0,
		cmdP = 0,
		fading = 0,
		animatingChar = 0,
		animatingFunction = nil,
		previousChar = 1,
	}

	local walkAni = function(p,count,height) 
		return math.abs(math.sin(math.pi*(count or 5)*p)) * (height or 30.0)
	end

	function sequences.load()
		print("Loading..")
		-- Font
    	sequences.font = love.graphics.newFont("media/font/verdana.ttf", 28)
    	love.graphics.setFont(sequences.font)
		-- Media
		sequences.chars[1].image = love.graphics.newImage("media/shorty.png")
		sequences.chars[2].image = love.graphics.newImage("media/dick.png")

		-- *** INTRO DIALOG ***
		local add = sequences.append
			sequences.beginNew()
			sequences.append("#setup", 1, 0) -- shorty in frame, dick outside
			sequences.append("#fadein", 2)
			sequences.append("#pause", 0.5)
			sequences.append("#ani", 2, 3.0, function(p) return p, walkAni(p,6,30) end) -- dick walks in
			sequences.append("#pause", 0.5)
			-- Dialog Starts
			sequences.append(2, "So ummm Shorty, here's the thing.")
			sequences.append("I think it's time for you to, err, grow up, so I, uhh, took this spaceship that I found and uh well it's yours.")
			sequences.append(1, "Wow, thanks Dick, that's so cool!")
			sequences.append(2, "Yeah yeah let's not get ahead of ourselves. So the control panel only had two buttons and I chose the only sensible way to fuse them.")
			add(1, "That sounds good!")
			add(2, "Yeah it did sound good in my head you know, now I'm not so sure, but I've got more important things to do so here's the deal.")
			add("First button - upward thrust.")
			add("Second button - honking.")
			add("Now the problem about honking is that nobody can hear you honk in space. Which means it's useless.")
			add("So let's focus on the first button for now which moves you upward. The ship flies forward automatically.")
			add(1, "Ahh the wonders of science!")
			add(2, "Well, sure, yeah you got the science part right. Anyway.")  
			add("For some reason I don't really care about the ship is affected by some kind of, uhh, gravity.")
			add("You'll need your button to counter that and stay on course, and possibly evade dangerous.. things.")
			add(1, "What kind of things would that be??")
			add(2, "Nothing, I uhh I think you're fine. Just make sure to press the button reasonably. It's the one with an F on it. Honking on H, for obvious reasons.")
			add("Don't crash the ship or you'll be dead and I have to travel to a parallel universe and try my luck with another Shorty.")
			add("Ain't nobody got time for that, right?? Hahaha. OK gotta go. Wuppa lubba dup dup!")
			-- Dick leaves the scene
			sequences.append("#ani", 2, 3.0, function(p) return 1-p, walkAni(p,6,30) end)
			sequences.append("#fadeout", 2)

		-- *** BEFORE LEVEL 2 ***
			sequences.beginNew()
			sequences.append("#setup", 0, 0) -- shorty in frame, dick outside
			sequences.append("#fadein", 1)
			sequences.append("#ani", 2, 2.0, function(p) return p, walkAni(p,6,30) end) -- dick walks in
			sequences.append("#pause", 0.5)
			sequences.append("#ani", 1, 3.0, function(p) return p, walkAni(p,7,20) end) -- shorty walks in
			add("#pause", 0.5)
			add(2, "Oh I see you made it to the portal. That's great.")
			add(1, "Thanks Dick! I guess you could say the controls have, you know, grown on me!")
			add(2, "Now actually I need you to do something for me and deliver a package to a different galaxy.")
			add("You might have to pass through hostile territory so uhhh no pressure but make sure the package gets there unharmed.")
			add(1, "A package? Enemy territory? Oh Dick, is that even legal??")
			add(2, "Don't be ridiculous Shorty, of course it isn't. Now go, I've got things to do!!")
			add(1, "But what if they attack me??")
			add(2, "Ahh I'm sure they won't. But if they do, I believe the ship will kind of defend itself.")
			add("There wasn't a third button available so I made it decide on its own when to shoot things. Also I wouldn't trust you with a gun anyway so there's that.")
			add("Maybe try not to start an intergalactic war or something. Now hurry, before the package gets, umm... unstable.")
			add("#ani", 2, 2.5, function(p) return 1-p, walkAni(p,6,30) end)
			add("#ani", 1, 3.0, function(p) return 1-p, walkAni(p,7,15) end)
			add("#fadeout", 1.5)

		-- *** BEFORE FINAL LEVEL ***
			sequences.beginNew()
			sequences.append("#setup", 0, 0) -- shorty in frame, dick outside
			sequences.append("#fadein", 1)
			sequences.append("#ani", 2, 2.0, function(p) return p, walkAni(p,6,30) end) -- dick walks in
			sequences.append("#pause", 0.5)
			sequences.append("#ani", 1, 2.5, function(p) return p, walkAni(p,7,20) end) -- shorty walks in
			add(1, "Hey Dick, I did what you said. Can I go home now? I need to do homework.")
			add(2, "Haha, good one Shorty. But umm yeah, you can go home. Have to take the ship though.")
			add(1, "Can't we just use your portal gun?")
			add(2, "Well no, the battery is low, I guess just me is fine, but another person would be too much. Just fly already.")
			add(1, "Alright... oh man. But those attacks were really intense!")
			add(2, "Haha I know right?")
			add(1, "Can I ask a question?")
			add(2, "Technically yes.")
			add(1, "Did you ask just me, or did other Shortys die trying to deliver your stupid package?")
			add(2, "Jeeez, calm down, you're alive right? Everything's fine, now go!")
			add("#ani", 2, 2.5, function(p) return 1-p, walkAni(p,6,30) end)
			add("#ani", 1, 3.0, function(p) return 1-p, walkAni(p,7,15) end)
			add("#fadeout", 1.5)

		-- *** CREDITS ***
			sequences.beginNew()
			sequences.append("#setup", 0, 0) -- shorty in frame, dick outside
			sequences.append("#fadein", 1)
			sequences.append("#ani", 2, 2.0, function(p) return p, walkAni(p,6,30) end) -- dick walks in
			sequences.append("#pause", 0.5)
			sequences.append("#ani", 1, 2.5, function(p) return p, walkAni(p,7,20) end) -- shorty walks in
			add(2, "There we are back on earth. Did you enjoy your flight?")
			add(1, "Hell no! It was horrible! You're really not a good grandpa do you know that??")
			add(2, "Aaaah yeah, oddly enough I do. As it turns out I'm not a grandpa at all!")
			add(1, "What? What do you mean?")
			add(2, "Look, all this isn't real. I'm not a real person, you're not a real boy, this is just simulated.")
			add(1, "How can that be?")
			add(2, "I did a few experiments, and turns out, uhh, we're actually in a stupid video game.")
			add(1, "A video game??")
			add(2, "Yeah that's what I said. Can't you listen? A video game. It's called 'no one can hear you honk in space' and apparently was created in 48 hours.")
			add(1, "That's insane!")
			add(2, "Maybe and it certainly explains the lack of detail and polishing. Just look at that pathetic background.")
			add(2, "'Back on earth' my ass, it's the same cheap pseudo star sky we've been seeing this whole time!")
			add(1, "But who would do something like that??")
			add(2, "Well uhh my experiment showed some Shellfish Games guy is responsible for that. What a tool.")
			add(2, "He made the game for some Ludum Dare thing, which is like a competition, an uhh, they get a theme and have to work with that.")
			add(1, "What theme was it? Clone a stupid mobile game while shamelessly ripping off TV shows??")
			add(2, "Haha yeah. No. It was two themes, 'growing' or 'two button controls'.")
			add(1, "Oh I see. He should really, you know, grow as a game developer!")
			add(2, "Yeah, well. This is lame. Shall we proceed with the fade out?")
			add(1, "Alright. Oh man. Will we die?")
			add(2, "We aren't alive to begin with. You've got nothing to fear.")
			add(1, "You always know how to cheer me up!")
			add(2, "Not a bad grandpa after all, right? Haha. Get schifty!")
			add("#fadeout", 3.0)

		-- *** RESET ***
		sequences.current = 0
	end

	function sequences.enter()
		print("Entering..")
		sequences.current = sequences.current + 1
		print(".." .. sequences.current)
		sequences.progress = 0
	end

	function sequences.beginNew()
		sequences.current = sequences.current + 1
		sequences.list[sequences.current] = {}
	end

	function sequences.append(tp, v1, v2, v3)
		if string.sub(tp,1,1) ~= "#" then
			if not v1 then
				v1 = tp
				tp = sequences.previousChar
			end
			v3 = v2
			v2 = v1
			v1 = tp
			tp = "#dialog"
			sequences.previousChar = v1
		end
		local obj = {
			tp = tp,
			v1 = v1,
			v2 = v2,
			v3 = v3
		}
		table.insert(sequences.list[sequences.current], obj)
		return obj
	end

	function sequences.update(dt)
		if sequences.cmdTp == "" then
			sequences.nextCommand()
		elseif sequences.cmdTp == "#dialog" then
			sequences.updateCommand(sequences.list[sequences.current][sequences.progress])
		else
			-- timed events
			sequences.cmdP = (sequences.time - sequences.cmdStart)/(sequences.cmdEnd - sequences.cmdStart)
			if sequences.time >= sequences.cmdEnd then
				sequences.nextCommand()
			end
			sequences.updateCommand(sequences.list[sequences.current][sequences.progress])
		end
	end


	function sequences.draw()
		love.graphics.push()
		-- Background
			love.graphics.setColor(255,255,255,100)
			love.graphics.draw(background.image, 0, 0)
		-- Characters
			love.graphics.setColor(255,255,255,255)
			local chars = sequences.chars
			local y = love.window.getHeight() + 10
			-- shorty
			local scalex = 0.36 * (chars[1].headingRight and 1 or -1)
			love.graphics.draw(chars[1].image, -300 + 550*chars[1].x, y - chars[1].y, 0, scalex, 0.36, chars[1].image:getWidth()/2, chars[1].image:getHeight()*0.9)
			-- dick
			scalex = 0.5 * (chars[2].headingRight and -1 or 1)
			love.graphics.draw(chars[2].image, love.window.getWidth() + 300 - 550*chars[2].x, y - chars[2].y, 0, scalex, 0.5, chars[2].image:getWidth()/2, chars[2].image:getHeight()*0.9)
		-- Dialog
		if sequences.cmdTp == "#dialog" then
			local cmd = sequences.list[sequences.current][sequences.progress]
			local char = sequences.chars[cmd.v1]
			local s = cmd.v2
			local x = (cmd.v1 == 1) and love.window.getWidth()*0.2 or love.window.getWidth()*0.35
			-- Char Name as Headline
			sequences.print(char.name, char.color, (cmd.v1 == 1) and (x-20) or (x+360), 60)
			-- Get partial or full String
			if sequences.lineDone then
				-- full string
				-- "Press Any Key" hint?
			else
				-- part of string
				s = string.sub(s, 1, sequences.typedChars)
			end
			-- Actual Line
			sequences.print(s, {200,200,200,255}, x, 120)
		end
		-- Fading
			if sequences.fading > 0 then
				local alpha
				if sequences.fading == 1 then
					alpha = 255*(1-sequences.cmdP)
				else
					alpha = 255*sequences.cmdP
				end
				love.graphics.setColor(0,0,0,alpha)
				love.graphics.rectangle("fill",0,0,love.window.getWidth(),love.window.getHeight())
			end
		love.graphics.pop()
	end

		function sequences.print(s, c, x, y)
			local w = love.window.getWidth()*0.45
			local a = "left"
			-- White 
			love.graphics.setColor(255,255,255,200)
			love.graphics.printf(s, x-1, y-1, w, a)
			love.graphics.printf(s, x-1, y  , w, a)
			love.graphics.printf(s, x  , y-1, w, a)
			-- Dark
			love.graphics.setColor(0,0,0,128)
			love.graphics.printf(s, x+1, y+1, w, a)
			love.graphics.printf(s, x+1, y  , w, a)
			love.graphics.printf(s, x  , y+1, w, a)
			-- Text
			love.graphics.setColor(c)
			love.graphics.printf(s, x  , y  , w, a)
		end


	function sequences.nextCommand()
		-- proceed to next command
		sequences.progress = sequences.progress + 1
		if sequences.progress > #sequences.list[sequences.current] then
			-- leave state
			setState(gameState)
			return
		end
		sequences.runCommand(sequences.list[sequences.current][sequences.progress])
	end

	function sequences.runCommand(cmd)
		sequences.fading = 0
		sequences.cmdTp = cmd.tp
		if cmd.tp == "#setup" then
			sequences.chars[1].x = cmd.v1
			sequences.chars[2].x = cmd.v2
			sequences.chars[1].headingRight = true
			sequences.chars[2].headingRight = false
			sequences.fading = 1
		elseif cmd.tp == "#fadein" then
			sequences.cmdStart = sequences.time
			sequences.cmdEnd = sequences.cmdStart + cmd.v1
			sequences.fading = 1
		elseif cmd.tp == "#fadeout" then
			sequences.cmdStart = sequences.time
			sequences.cmdEnd = sequences.cmdStart + cmd.v1
			sequences.fading = 2
		elseif cmd.tp == "#pause" then
			sequences.cmdStart = sequences.time
			sequences.cmdEnd = sequences.cmdStart + cmd.v1
		elseif cmd.tp == "#ani" then
			sequences.cmdStart = sequences.time
			sequences.cmdEnd = sequences.cmdStart + cmd.v2
			sequences.animatingChar = cmd.v1
			sequences.animatingFunction = cmd.v3
			print("Starting animation", sequences.cmdStart, sequences.cmdEnd, " due to ", cmd.v2)
		elseif cmd.tp == "#dialog" then
			sequences.typedChars = 0
			sequences.nextChar = sequences.time + 0.3
			sequences.lineDone = false
		end
	end

	function sequences.updateCommand(cmd)
		if not cmd then return end
		if cmd.tp == "#ani" then
			local chars = sequences.chars
			local prevx = chars[cmd.v1].x
			local x, y = cmd.v3(sequences.cmdP)
			chars[cmd.v1].x = x
			chars[cmd.v1].y = y
			chars[cmd.v1].headingRight = ((cmd.v1 == 1) and (x > prevx) or (x < prevx))
		elseif cmd.tp == "#dialog" then
			-- show next char of string?
			if sequences.time > sequences.nextChar then
				sequences.typedChars = sequences.typedChars + 1
				if sequences.typedChars >= string.len(cmd.v2) then
					-- line is done
					sequences.lineDone = true
					sequences.nextChar = sequences.time + 30.0
				else
					local char = string.sub(cmd.v2, sequences.typedChars, sequences.typedChars)
					local delay = 0
					if char == "," then
						delay = 0.2
					elseif char == "." then
						if string.sub(cmd.v2, sequences.typedChars+1, sequences.typedChars+1) == " " then
							delay = 0.4
						else
							delay = 0.1
						end
					elseif char == ":" then
						delay = 0.6
					else
						delay = rnd(0.02,0.03)
					end
					sequences.nextChar = sequences.time + delay
				end
			end
		end
	end



	function sequences.keypressed(key)
		if sequences.cmdTp == "#dialog" then
			if sequences.lineDone then
				sequences.nextCommand()
			else
				sequences.lineDone = true
			end
		end
		--sequences.cmdEnd = sequences.time + 0.05
	end


end